/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Irradiation Event X-Ray Mechanical Data
 */
public enum EnumCV_IrradiationEventXRayMechanicalData 
{
	// Irradiation Event X-Ray Mechanical Data - TID 10003C
	CR_DR_MECHANICAL_CONFIGURATION_113956("113956"),
	POSITIONER_PRIMARY_ANGLE_112011("112011"),
	POSITIONER_SECONDARY_ANGLE_112012("112012"),
	POSITIONER_PRIMARY_END_ANGLE_113739("113739"),
	POSITIONER_SECONDARY_END_ANGLE_113740("113740"),
	COLUMN_ANGULATION_113770("113770"),
	TABLE_HEAD_TILT_ANGLE_113754("113754"),
	TABLE_HORIZONTAL_ROTATION_ANGLE_113755("113755"),
	TABLE_CRADLE_TILT_ANGLE_113756("113756"),
	COMPRESSION_THICKNESS_111633("111633"),
	
;
	private String value;
	
	EnumCV_IrradiationEventXRayMechanicalData(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}